Package org.eclipse.ui.cheatsheets

# Class CheatSheetListener

java.lang.Object
org.eclipse.ui.cheatsheets.CheatSheetListener

public abstract class CheatSheetListener extends Object
For monitoring the execution of a cheat sheet.

This class is used in conjuction with the "listener" attribute on extensions to the extension point "org.eclipse.ui.cheatsheets.cheatSheetContent". Clients should declare a subclass that implements `cheatSheetEvent(ICheatSheetEvent)`. The listener subclass must be public, and have a public 0-arg constructor. The listener subclass is instantiated as the cheat sheet is opened, and discarded after the cheat sheet is closed.

Since:
  3.0

## Constructor Summary

Constructors
Constructor
Description
`CheatSheetListener()`
Creates a new cheat sheet listener.

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`cheatSheetEvent(ICheatSheetEvent event)`
Notifies this listener of the given cheat sheet event.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CheatSheetListener

public CheatSheetListener()
Creates a new cheat sheet listener.

## Method Details

### cheatSheetEvent

public abstract void cheatSheetEvent(ICheatSheetEvent event)
Notifies this listener of the given cheat sheet event.

Parameters:
  `event` - the cheat sheet event